GET/v2/live/vendorgraphics/categories

Fetch product categories

Returns product categories with cursor-based pagination, sorted deterministically by category ID. Maximum of 250 categories per page.

Version
v2Open on v3
Rate limit
Tier 3 · 10–200 rps by plan
Billing
Company Vendorgraphics or Person Vendorgraphics · Fetch product categories

Query parameters

  • cursorstringOptional
    Cursor for pagination. Use the cursor value from the previous response to get more results.
  • limitinteger (int32)Optional
    Maximum number of results to return (default: 100, max: 250)
Headers
x-api-key Required · API key for authentication

Response

  • categoriesobject[]
    List of product categories
    • categoryHierarchyobject[]
    • idinteger (int64)
      Unique identifier for the category
    • namestring
      Name of the category
    • descriptionstring
      Description of the category
    • directProductCountinteger (int64)
      Number of products directly associated with this category
    • indirectProductCountinteger (int64)
      Number of products indirectly associated with this category through descendant categories
  • cursorstring
    Cursor for pagination. Use this value as the cursor parameter in the next request to get more results.

Status codes